# Deprecated API

## Contents

- Classes
- Fields
- Methods
- Constructors

Deprecated Classes
Class
Description
com.google.javascript.jscomp.JSSourceFile
JSSourceFile is an empty wrapper around SourceFile. Just use SourceFile directly.

Deprecated Fields
Field
Description
com.google.debugging.sourcemap.proto.Mapping.LineMapping.PARSER
com.google.debugging.sourcemap.proto.Mapping.OriginalMapping.PARSER
com.google.javascript.jscomp.FunctionInformationMap.Entry.PARSER
com.google.javascript.jscomp.FunctionInformationMap.Module.PARSER
com.google.javascript.jscomp.FunctionInformationMap.PARSER
com.google.javascript.jscomp.Instrumentation.PARSER
com.google.javascript.jscomp.JSError.level
Use #getDefaultLevel

Deprecated Methods
Method
Description
com.google.debugging.sourcemap.SourceMapSection.getSectionUrl()
com.google.javascript.jscomp.Compiler.compile(JSSourceFile[], JSModule[], CompilerOptions)
Convert your arrays to lists and use the list-based compileModules method.
com.google.javascript.jscomp.Compiler.compile(JSSourceFile[], JSSourceFile[], CompilerOptions)
Convert your arrays to lists and use the list-based compile method.
com.google.javascript.jscomp.Compiler.compile(JSSourceFile, JSModule[], CompilerOptions)
Convert your arrays to lists and use the list-based compileModules method.
com.google.javascript.jscomp.Compiler.compile(SourceFile, JSSourceFile[], CompilerOptions)
Convert your arrays to lists and use the list-based API.
com.google.javascript.jscomp.Compiler.init(JSSourceFile[], JSModule[], CompilerOptions)
Convert your arrays to lists and use the list-based API.
com.google.javascript.jscomp.Compiler.init(JSSourceFile[], JSSourceFile[], CompilerOptions)
Convert your arrays to lists and use the list-based API.
com.google.javascript.jscomp.CompilerOptions.enableExternExports(boolean)
replaced by `CompilerOptions.setExternExports(boolean)`
com.google.javascript.jscomp.CompilerOptions.setInputPropertyMapSerialized(byte[])
com.google.javascript.jscomp.CompilerOptions.setInputVariableMapSerialized(byte[])
com.google.javascript.jscomp.CompilerOptions.setRemoveUnusedVariable(CompilerOptions.Reach)
com.google.javascript.jscomp.CompilerOptions.setRewriteNewDateGoogNow(boolean)
com.google.javascript.jscomp.parsing.ParserRunner.createConfig(boolean)
com.google.javascript.jscomp.WhitelistWarningsGuard.WhitelistBuilder.setWithLineNumber(boolean)
com.google.javascript.rhino.JSDocInfo.Marker.getName()
Use #getNameNode
com.google.javascript.rhino.JSDocInfoBuilder.markName(String, int, int)
Use #markName(String, StaticSourceFile, int, int)

Deprecated Constructors
Constructor
Description
com.google.debugging.sourcemap.SourceMapSection(String, int, int)